int LuminositeB = 0;
int LuminositeV = 0;
int LuminositeR = 0;
int B=0;
int V=0;
int R=0;

#define pinX A1
#define pinY A2

#include "Servo.h"
Servo servox;
Servo servoy;

Servo servom1;
int posm1 = 0;
Servo servom2;
int posm2 = 0;

const int boutonPin = 4;   // Broche à laquelle le bouton est connecté
const int ledPin = 5;      // Broche à laquelle la LED est connectée

int etatBouton = 0;        // Variable pour stocker l'état du bouton
int dernierEtatBouton = LOW; // Variable pour stocker l'état précédent du bouton
unsigned long tempsDebutAppui = 0;  // Variable pour stocker le temps du début de l'appui sur le bouton
unsigned long dureeAppuiRequise = 1000;  // Durée nécessaire d'appui sur le bouton en millisecondes (1 seconde)
unsigned long delaiAvantNouvelAppui = 4000; // Délai en millisecondes avant de pouvoir réactiver la LED (4 secondes)
bool ledActivee = false;

void setup()
{
  pinMode(A0, INPUT);
  pinMode(A3, INPUT);
  pinMode(A4, INPUT);
  Serial.begin(9600);
  pinMode(10, OUTPUT);
  pinMode(9, OUTPUT);
  pinMode(8, OUTPUT);

  pinMode(pinX, INPUT);
  pinMode(pinY, INPUT);

  pinMode(boutonPin, INPUT);
  pinMode(ledPin, OUTPUT);

 
  servox.attach(12);
  servoy.attach(11);
  Serial.println(analogRead(pinY));

  servom1.attach(13);
  servom2.attach(7);
}

void loop()
{
  // Affecter la valeur de la photorésistance à la
  // variable luminosité
  LuminositeB = analogRead(A0);
  LuminositeV = analogRead(A3);
  LuminositeR = analogRead(A4);

  // Affiche la valeur lue sur la broche A0 dans le
  // moniteur série
  Serial.println(LuminositeB);
  if (LuminositeB < 70) {// valeur basse quand luminosité forte
    digitalWrite(10, HIGH); 
  } 
  if (LuminositeV < 70) {// valeur basse quand luminosité forte
    digitalWrite(9, HIGH); 
  } 
  if (LuminositeR < 70) {// valeur basse quand luminosité forte
    digitalWrite(8, HIGH); 
  } 
  
  delay(100); // Wait for 100 millisecond(s)
  B = digitalRead(10);
  V = digitalRead(9);
  R = digitalRead(8);

  if (B == 1 && V == 1 && R == 1){
    for (int i = 0; i < 3; i++){
      digitalWrite(10, LOW); 
      digitalWrite(9, LOW); 
      digitalWrite(8, LOW); 
      delay(500);
      digitalWrite(10, HIGH); 
      digitalWrite(9, HIGH); 
      digitalWrite(8, HIGH); 
      delay(500);
    }
    digitalWrite(10, LOW); 
    digitalWrite(9, LOW); 
    digitalWrite(8, LOW); 
  }



  int X = analogRead(pinX);
  int Y = analogRead(pinY);

  X = map(X, 0, 1023, 30, 150);
  Y = map(Y, 0, 1023, -10, 60);
  
  servox.write(X);
  servoy.write(Y);
  

  etatBouton = digitalRead(boutonPin);

  if (etatBouton == HIGH && dernierEtatBouton == LOW && !ledActivee) {
    tempsDebutAppui = millis();
    digitalWrite(ledPin, HIGH);
    ledActivee = true;
  }

  if (ledActivee && (millis() - tempsDebutAppui) >= dureeAppuiRequise) {
    digitalWrite(ledPin, LOW);
    tempsDebutAppui = millis();  // Réinitialiser le temps pour permettre une nouvelle activation
    ledActivee = false;
  }

  dernierEtatBouton = etatBouton;


  
}
